Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PiggybackViewEntry

    java.lang.Object
      |
      +--oracle.jbo.common.PiggybackViewEntry

public class PiggybackViewEntry
extends java.lang.Object
implements PiggybackEntry

This class is a helper class for Client Service to do piggybacking.

Version:
  SDK
See Also:
  Serialized Form

Field Summary
`protected PiggybackExceptionEntry[]` | `exEntries`
`protected PiggybackEntry[]` | `pbEntries`
`protected int` | `viewId`

Constructor Summary
`PiggybackViewEntry()`
`PiggybackViewEntry(int ViewRowSetIteratorId)`
`PiggybackViewEntry(int ViewRowSetIteratorId, PiggybackEntry[] pbEntries, java.util.Vector errors)`
`PiggybackViewEntry(int ViewRowSetIteratorId, PiggybackEntry pbEntry, PiggybackExceptionEntry error)`

Method Summary
`PiggybackEntry[]` | `getEntries()`
`PiggybackExceptionEntry[]` | `getExceptionEntries()`
`int` | `getId()`
`int` | `getViewId()`
`void` | `setEntries(PiggybackEntry[] re)`
`void` | `setErrorEntries(java.util.Vector errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewId

    protected int viewId

### pbEntries

    protected PiggybackEntry[] pbEntries

### exEntries

    protected PiggybackExceptionEntry[] exEntries

Constructor Detail

### PiggybackViewEntry

    public PiggybackViewEntry()

### PiggybackViewEntry

    public PiggybackViewEntry(int ViewRowSetIteratorId)

### PiggybackViewEntry

    public PiggybackViewEntry(int ViewRowSetIteratorId,
                              PiggybackEntry[] pbEntries,
                              java.util.Vector errors)

### PiggybackViewEntry

    public PiggybackViewEntry(int ViewRowSetIteratorId,
                              PiggybackEntry pbEntry,
                              PiggybackExceptionEntry error)

Method Detail

### getViewId

    public int getViewId()

### getId

    public int getId()

  Specified by:
    getId in interface PiggybackEntry

### setEntries

    public void setEntries(PiggybackEntry[] re)

### getEntries

    public PiggybackEntry[] getEntries()

### setErrorEntries

    public void setErrorEntries(java.util.Vector errors)

### getExceptionEntries

    public PiggybackExceptionEntry[] getExceptionEntries()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD